# Uses of Enum Class
org.bukkit.block.banner.PatternType

Packages that use PatternType
Package
Description
io.papermc.paper.event.player
org.bukkit.block.banner
Classes relevant to banner blocks.

## Uses of PatternType in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return PatternType
Modifier and Type
Method
Description
`@NotNull PatternType`
PlayerLoomPatternSelectEvent.`getPatternType()`
Gets the pattern type selected.
Methods in io.papermc.paper.event.player with parameters of type PatternType
Modifier and Type
Method
Description
`void`
PlayerLoomPatternSelectEvent.`setPatternType(@NotNull PatternType patternType)`
Sets the pattern type selected.
Constructors in io.papermc.paper.event.player with parameters of type PatternType
Modifier
Constructor
Description
``
`PlayerLoomPatternSelectEvent(@NotNull Player player, @NotNull LoomInventory loomInventory, @NotNull PatternType patternType)`

## Uses of PatternType in org.bukkit.block.banner

Methods in org.bukkit.block.banner that return PatternType
Modifier and Type
Method
Description
`static @Nullable PatternType`
PatternType.`getByIdentifier(@Nullable String identifier)`
Returns the pattern type which matches the passed identifier or null if no matches are found
`@NotNull PatternType`
Pattern.`getPattern()`
Returns the type of pattern
`static PatternType`
PatternType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PatternType[]`
PatternType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.block.banner with parameters of type PatternType
Modifier
Constructor
Description
``
`Pattern(@NotNull DyeColor color, @NotNull PatternType pattern)`
Creates a new pattern from the specified color and pattern type